Subject: bug#37615: bug#42534: 28.0.50; package-test-macro-compilation test fails on macOS

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 26 Dec 2020 23:00:35 +0100

Eli Zaretskii <[email-masked]> writes:

> In my case, the problem was that MS-Windows (in the version I run
> here) produces short 8+3 alias file names for long directory names,
> the file name for temporary-file-directory didn't compare equal to
> what Emacs expected, exactly as on macOS; file-truename fixed that.

Ah, I see.  Apparently the Windows setup I'm using (for Emacs build
tests) isn't doing the 8+3 thing (Windows 10 with msys2/mingw shell).

Anyway, thanks for checking; closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no